Jim9,

You're grossly overexaggerating the situation. Probably 95% of PHP code out there written for PHP4 will work for PHP5.

Also, if you think software never breaks existing code, you're sorely mistaken. Developers try to maximize backwards compatibility, but if software is ever going to change, that's just not possible to have 100% backwards compatibility.

But I could go right now and download a script, and I would be fairly sure there was a good chance of it running just fine.